/*------------------------------------------------------------------------------------*/
/*                                                                                    */
/*    Copyright (C) 2008 Georges QUENOT  LIG-CNRS                                     */
/*    Version 1.01 Last revision: December 22, 2008                                   */
/*                                                                                    */
/*    This file is part of KNNLSB (K Nearest Neighbor Linear Scan Baseline).          */
/*                                                                                    */
/*    KNNLSB is free software: you can redistribute it and/or modify                  */
/*    it under the terms of the GNU General Public License as published by            */
/*    the Free Software Foundation, either version 3 of the License, or               */
/*    (at your option) any later version.                                             */
/*                                                                                    */
/*    KNNLSB is distributed in the hope that it will be useful,                       */
/*    but WITHOUT ANY WARRANTY; without even the implied warranty of                  */
/*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                   */
/*    GNU General Public License for more details.                                    */
/*                                                                                    */
/*    You should have received a copy of the GNU General Public License               */
/*    along with KNNLSB.  If not, see <http://www.gnu.org/licenses/>.                 */
/*                                                                                    */
/*------------------------------------------------------------------------------------*/

#include "knnp.h"

/*------------------------------------------------------------------------------------*/

KEY **find_kNN(fdata **ma, fdata**mb, size_t na, size_t nb, size_t nc, size_t nk, int dc);

/*------------------------------------------------------------------------------------*/

void output_matrix(fdata **ma, size_t na, size_t nc, int max_num_rows, int max_num_cols);
void output_kNN_result(KEY **key0, size_t nb, size_t nc, int max_num_rows, int max_num_cols);

/*------------------------------------------------------------------------------------*/
